### Hierarchy

- HttpTransportImpl
  - HttpTransportSyncedImpl

### Implements

- HttpTransport

## Index

### Constructors

- constructor

### Properties

- headers
- host
- interceptors
- logger

### Methods

- acceptInterceptor
- addInterceptor
- getHost
- sendMultipartData
- sendRequest

## Constructors

### constructor

- new HttpTransportSyncedImpl(host: string, loggerService?: Logger): HttpTransportSyncedImpl

- Inherited from HttpTransportImpl.constructor

  - Defined in repository/source/http/HttpTransportImpl.ts:29

  #### Parameters

  - ##### host: string

  - ##### Optional loggerService: Logger

  #### Returns HttpTransportSyncedImpl

## Properties

### Protected headers

headers: Map<string, string> = new Map<string, string>([['Accept', 'application/json'], ['Content-Type', 'application/json']])

Inherited from HttpTransportImpl.headers

- Defined in repository/source/http/HttpTransportImpl.ts:22

### Protected host

host: string

Inherited from HttpTransportImpl.host

- Defined in repository/source/http/HttpTransportImpl.ts:28

### Protected interceptors

interceptors: Array<HttpInterceptor> = []

Inherited from HttpTransportImpl.interceptors

- Defined in repository/source/http/HttpTransportImpl.ts:20

### Protected logger

logger: Logger

Inherited from HttpTransportImpl.logger

- Defined in repository/source/http/HttpTransportImpl.ts:29

## Methods

### Protected acceptInterceptor

- acceptInterceptor(interceptorCortege: InterceptorCortege): Promise<InterceptorCortege>

- Inherited from HttpTransportImpl.acceptInterceptor

  - Defined in repository/source/http/HttpTransportImpl.ts:123

  #### Parameters

  - ##### interceptorCortege: InterceptorCortege

  #### Returns Promise<InterceptorCortege>

### addInterceptor

- addInterceptor(interceptor: HttpInterceptor): HttpTransport

- Implementation of HttpTransport.addInterceptor

  Inherited from HttpTransportImpl.addInterceptor

  - Defined in repository/source/http/HttpTransportImpl.ts:36

  #### Parameters

  - ##### interceptor: HttpInterceptor

  #### Returns HttpTransport

### getHost

- getHost(): string

- Implementation of HttpTransport.getHost

  Inherited from HttpTransportImpl.getHost

  - Defined in repository/source/http/HttpTransportImpl.ts:88

  #### Returns string

### Protected sendMultipartData

- sendMultipartData(data: SignedRequest, fileMeta: FileMeta, xhr: XMLHttpRequest): void

- Inherited from HttpTransportImpl.sendMultipartData

  - Defined in repository/source/http/HttpTransportImpl.ts:92

  #### Parameters

  - ##### data: SignedRequest

  - ##### fileMeta: FileMeta

  - ##### xhr: XMLHttpRequest

  #### Returns void

### sendRequest

- sendRequest<T>(path: string, method: HttpMethod, data?: object | string | number, fileMeta?: FileMeta): Promise<Response<T>>

- Implementation of HttpTransport.sendRequest

  Overrides HttpTransportImpl.sendRequest

  - Defined in repository/source/http/HttpTransportSyncedImpl.ts:21

  #### Type parameters

  - #### T

  #### Parameters

  - ##### path: string

  - ##### method: HttpMethod

  - ##### Optional data: object | string | number

  - ##### Optional fileMeta: FileMeta

  #### Returns Promise<Response<T>>

Generated using TypeDoc